function sensor = importSensor(measure)
    % sensor = importSensor(measure)
    %
    % Import sensor measurement data from text file and save in the
    % structure sensor.
    %
    % input:
    %   measurem =  string with the name of the measurement field
    %               e.g.'temp' for temperature
    % output:
    %   sensor   =  structurte containing the fields:
    %                   timestamp:      measurement timestamp
    %                   measurement:	measurement value
    %
    % Author: Ricardo M.R. Ado,
    % Ultrafast Bio- and Nanophotonics group,
    % INL - International Iberian Nanotechnology Laboratory, Portugal
    % 
    % Software eveloped in frame of the Interreg NanoEATERS - Cdu#1 NanoLED
    % project, with funding grant number 0181_NANOEATERS_1_EP
    %
    % 
    
    head = 42;      % number of header rows
    sensor = [];    % output sensor structure
    
    % prompt the user to select a file
    [filename, pathname] = uigetfile('*.txt');
    if filename~=0
        fileID = fopen([pathname '\' filename]);
        data = fgets(fileID);
        % split the file data as a table
        dataSplit = strsplit(data(head:end),{',"y":','},{"x":'});
        
        nn = 1;
        for ii = 1 : 2 : length(dataSplit)
            % measurement time stamp
            sensor.timeStamp(nn,1) = str2double(dataSplit{ii});
            % store measurement value in designated structure field
            sensor.(measure)(nn,1) = str2double(dataSplit{ii + 1});
            nn = nn + 1;
        end
        
    end
    
end